Index: branches/qt_gui/src/defs/globals.h
===================================================================
--- branches/qt_gui/src/defs/globals.h	(revision 7600)
+++ branches/qt_gui/src/defs/globals.h	(revision 7601)
@@ -38,6 +38,5 @@
 #define   CONFIG_SECTION_VIDEO_ADVANCED    "video_advanced"
 #define   CONFIG_SECTION_AUDIO             "audio"
-#define   CONFIG_SECTION_EXEC              "exec"
-#define   CONFIG_SECTION_DATA              "data"
+#define   CONFIG_SECTION_GENERAL           "data"
 
 /*
@@ -70,4 +69,6 @@
 #define   CONFIG_NAME_VERBOSE_MODE         "Verbose-Mode"
 #define   CONFIG_NAME_ALWAYS_SHOW_GUI      "Always-Show-The-Gui"
+#define   CONFIG_NAME_DEBUG_LEVEL          "Debug-Level"
+
 // evenets
 #define   CONFIG_NAME_PLAYER_FORWARD       "Forward"
Index: branches/qt_gui/src/lib/gui/gtk_gui/gui_update.cc
===================================================================
--- branches/qt_gui/src/lib/gui/gtk_gui/gui_update.cc	(revision 7600)
+++ branches/qt_gui/src/lib/gui/gtk_gui/gui_update.cc	(revision 7601)
@@ -51,5 +51,5 @@
 
   this->updateFrame = new Frame("Update-Options:");
-  this->updateFrame->setGroupName(CONFIG_SECTION_DATA);
+  this->updateFrame->setGroupName(CONFIG_SECTION_GENERAL);
   this->updateBox = new Box('v');
 
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_general.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_general.cc	(revision 7600)
+++ branches/qt_gui/src/lib/gui/qt_gui/gui_general.cc	(revision 7601)
@@ -31,4 +31,5 @@
 
 #include "debug.h"
+#include "globals.h"
 
 #include "qt_gui_elements.h"
@@ -40,5 +41,5 @@
   */
   GuiGeneral::GuiGeneral(OrxGui::Gui* gui)
-  : Element("General", gui), QGroupBox()
+  : Element(CONFIG_SECTION_GENERAL, gui), QGroupBox()
   {
     QGridLayout* layout = new QGridLayout(this);
@@ -46,5 +47,5 @@
       QLabel* dataDirLabel = new QLabel("DataDirectory");
       layout->addWidget(dataDirLabel, 0,0);
-      QtGuiInputLine* dataDir = new QtGuiInputLine("Data-Directory", this);
+      QtGuiInputLine* dataDir = new QtGuiInputLine(CONFIG_NAME_DATADIR, this);
       layout->addWidget(dataDir, 0, 1, 1, 2);
       QPushButton* dataFileDialogButton = new QPushButton("browse");
@@ -56,5 +57,5 @@
       QLabel* debugLabel = new QLabel("debug-mode");
       layout->addWidget(debugLabel, 1,0);
-      QtGuiComboBox* debug = new QtGuiComboBox("debug", this);
+      QtGuiComboBox* debug = new QtGuiComboBox(CONFIG_NAME_DEBUG_LEVEL, this);
       layout->addWidget(debug, 1, 1, 1, 2);
 
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_video.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_video.cc	(revision 7600)
+++ branches/qt_gui/src/lib/gui/qt_gui/gui_video.cc	(revision 7601)
@@ -52,5 +52,5 @@
 
       {
-        QComboBox* resolution = new QComboBox();
+        QComboBox* resolution = new QtGuiComboBox(CONFIG_NAME_RESOLUTION, this);
         layout->addWidget(resolution, 2, 0);
         std::vector<QString> resolutions;
Index: branches/qt_gui/src/lib/gui/qt_gui/qt_gui_elements.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/qt_gui_elements.cc	(revision 7600)
+++ branches/qt_gui/src/lib/gui/qt_gui/qt_gui_elements.cc	(revision 7601)
@@ -86,9 +86,12 @@
   void QtGuiComboBox::load()
   {
-    //TODO
+    Saveable::load();
+    this->setCurrentIndex(this->findText(QString().fromStdString(this->value().getString())));
   }
 
   void QtGuiComboBox::save()
   {
+    this->value() = this->currentText().toStdString();
+    Saveable::save();
   }
 
Index: branches/qt_gui/src/orxonox.cc
===================================================================
--- branches/qt_gui/src/orxonox.cc	(revision 7600)
+++ branches/qt_gui/src/orxonox.cc	(revision 7601)
@@ -314,5 +314,5 @@
   // init the resource manager
   std::string dataPath;
-  if ((dataPath = Preferences::getInstance()->getString(CONFIG_SECTION_DATA, CONFIG_NAME_DATADIR, ""))!= "")
+  if ((dataPath = Preferences::getInstance()->getString(CONFIG_SECTION_GENERAL, CONFIG_NAME_DATADIR, ""))!= "")
   {
     if (!ResourceManager::getInstance()->setDataDir(dataPath) &&
@@ -329,5 +329,5 @@
     ResourceManager::getInstance()->getDataDir().c_str(),
     this->configFileName.c_str(),
-              CONFIG_SECTION_DATA,
+              CONFIG_SECTION_GENERAL,
               CONFIG_NAME_DATADIR );
     OrxGui::Gui* gui = new OrxGui::QtGui(argc, argv);
